//
//    FILE: dht22_test.ino
//  AUTHOR: Rob Tillaart
// VERSION: 0.1.01
// PURPOSE: DHT library test sketch for DHT22 && Arduino
//     URL:
//
// Released to the public domain
//

#include <HIDSerial.h>
#include <dht.h>

dht DHT;
HIDSerial serial;

#define DHT22_PIN 11

void setup()
{
    serial.begin();
    serial.println("DHT TEST PROGRAM ");
    serial.print("LIBRARY VERSION: ");
    serial.println(DHT_LIB_VERSION);
    serial.println();
    serial.println("Type,\tstatus,\tHumidity (%),\tTemperature (C)\tTime (us)");
}

void loop()
{
    // READ DATA
    serial.print("DHT22, \t");

    uint32_t start = micros();
    int chk = DHT.read22(DHT22_PIN);
    uint32_t stop = micros();

    switch (chk)
    {
    case DHTLIB_OK:
        serial.print("OK,\t");
        break;
    case DHTLIB_ERROR_CHECKSUM:
        serial.print("Checksum error,\t");
        break;
    case DHTLIB_ERROR_TIMEOUT:
        serial.print("Time out error,\t");
        break;
    default:
        serial.print("Unknown error,\t");
        break;
    }
    // DISPLAY DATA
    serial.print(DHT.humidity, 1);
    serial.print(",\t");
    serial.print(DHT.temperature, 1);
    serial.print(",\t");
    serial.print(stop - start);
    serial.println();

    delay(2000);
}
//
// END OF FILE
//
